Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLparams

    java.lang.Object
      OOXMLconvert.OOXMLparams

    public class OOXMLparams

extends java.lang.Object

Field Summary
`java.lang.String` | `_cssB` záloha CSS trieda pre bold
`int` | `_cssConnectionType` záloha typ prepojenia na CSS
`private java.lang.String` | `_cssDir` záloha relativna cesta k adresaru, kde sa ulozia CSS
`java.lang.String` | `_cssI` záloha CSS trieda pre italic
`java.lang.String` | `_cssLI` záloha CSS trieda pre subscript
`java.lang.String` | `_cssS` záloha CSS trieda pre strike
`java.io.File` | `_cssSource` záloha CSS input subor
`java.lang.String` | `_cssU` záloha CSS trieda pre underline
`java.lang.String` | `_cssUI` záloha CSS trieda pre superscript
`private java.io.File` | `_docxSource` záloha input súbor (DOCX súbor na skonvertovanie)
`private int` | `_formatPreservingLevel` záloha uroven zachovania formatovania (od 0 do 2)
`private java.lang.String` | `_heading1StyleName` záloha nazov stylu pre nadpis úrovne 1
`private java.lang.String` | `_heading2StyleName` záloha nazov stylu pre nadpis úrovne 2
`private java.lang.String` | `_heading3StyleName` záloha nazov stylu pre nadpis úrovne 3
`private java.lang.String` | `_htmlTagForHeading` záloha HTML tag pre nadpis
`private java.lang.String` | `_imgDir` záloha relativna cesta k adresaru, kde sa ulozia obrazky
`private float` | `_jpegQuality` záloha kvalita jpeg kompresie pouzitej na obrazkoch
`private boolean` | `_preserveEndnotes` záloha urcuje, ci sa maju prenasat endnotes
`private boolean` | `_preserveFootnotes` záloha urcuje, ci sa maju prenasat footnotes
`private boolean` | `_preserveImages` záloha urcuje, ci sa maju prenasat obrazky
`private boolean` | `_useHHeuristic` záloha urcuje, ci sa pouzije heuristika na rozoznavanie nadpisov
`private java.io.File` | `_xhtmlDest` záloha output súbor (HTML súbor do ktorého sa uloží výstup)
`java.lang.String` | `cssB` CSS trieda pre bold
`private java.lang.String` | `cssBDef` default hodnota CSS trieda pre bold
`int` | `cssConnectionType` typ prepojenia na CSS
`private int` | `cssConnectionTypeDef` default hodnota typ prepojenia na CSS
`java.lang.String` | `cssDir` relativna cesta k adresaru, kde sa ulozia CSS
`private java.lang.String` | `cssDirDef` default hodnota relativnej cesty k adresaru, kde sa ulozia CSS
`private java.lang.String` | `cssFileName` nazov CSS suboru
`java.lang.String` | `cssI` CSS trieda pre italic
`private java.lang.String` | `cssIDef` default hodnota CSS trieda pre italic
`java.lang.String` | `cssLI` CSS trieda pre subscript
`private java.lang.String` | `cssLIDef` default hodnota CSS trieda pre subscript
`java.lang.String` | `cssS` CSS trieda pre strike
`private java.lang.String` | `cssSDef` default hodnota CSS trieda pre strike
`java.io.File` | `cssSource` CSS input subor
`java.lang.String` | `cssU` CSS trieda pre underline
`private java.lang.String` | `cssUDef` default hodnota CSS trieda pre underline
`java.lang.String` | `cssUI` CSS trieda pre superscript
`private java.lang.String` | `cssUIDef` default hodnota CSS trieda pre superscript
`java.io.File` | `docxSource` input súbor (DOCX súbor na skonvertovanie)
`int` | `formatPreservingLevel` uroven zachovania formatovania (od 0 do 2)
`private int` | `formatPreservingLevelDef` default hodnota urovne zachovania formatovania
`java.lang.String` | `heading1StyleName` nazov stylu pre nadpis úrovne 1
`private java.lang.String` | `heading1StyleNameDef` default nazov stylu pre nadpis úrovne 1
`java.lang.String` | `heading2StyleName` nazov stylu pre nadpis úrovne 2
`private java.lang.String` | `heading2StyleNameDef` default nazov stylu pre nadpis úrovne 2
`java.lang.String` | `heading3StyleName` nazov stylu pre nadpis úrovne 3
`private java.lang.String` | `heading3StyleNameDef` default nazov stylu pre nadpis úrovne 3
`java.lang.String` | `htmlTagForHeading` HTML tag pre nadpis
`private java.lang.String` | `htmlTagForHeadingDef` default HTML tag pre nadpis
`java.lang.String` | `imgDir` relativna cesta k adresaru, kde sa ulozia obrazky
`private java.lang.String` | `imgDirDef` default hodnota relativnej cesty k adresaru, kde sa ulozia obrazky
`private boolean` | `isBackup` parameter určuje, či už bol vykonaný backup
`float` | `jpegQuality` kvalita jpeg kompresie pouzitej na obrazkoch
`private float` | `jpegQualityDef` default hodnota kvality jpeg kompresie pouzitej na obrazkoch
`boolean` | `preserveEndnotes` urcuje, ci sa maju prenasat endnotes
`private boolean` | `preserveEndnotesDef` default hodnota ci sa maju prenasat endnotes
`boolean` | `preserveFootnotes` urcuje, ci sa maju prenasat footnotes
`private boolean` | `preserveFootnotesDef` default hodnota ci sa maju prenasat footnotes
`boolean` | `preserveImages` urcuje, ci sa maju prenasat obrazky
`private boolean` | `preserveImagesDef` default hodnota ci sa maju prenasat obrazky
`java.io.File` | `tmpDir` docasny pracovny adresar
`boolean` | `useHHeuristic` urcuje, ci sa pouzije heuristika na rozoznavanie nadpisov
`private boolean` | `useHHeuristicDef` default hodnota ci sa pouzije heuristika na rozoznavanie nadpisov
`java.io.File` | `xhtmlDest` output súbor (HTML súbor do ktorého sa uloží výstup)

Constructor Summary
`OOXMLparams()` Konštruktor

Method Summary
`void` | `backup()` Funkcia zazálohuje všetky premenné.
`void` | `restore()` Funkcia obnoví všetky premenné.
`private boolean` | `setParam(java.lang.String key, java.lang.String value)`
`boolean` | `setParams(java.util.LinkedHashMap<java.lang.String,java.lang.String> params)` Funkcia, ktorá nastaví parametre.
`boolean` | `setParams(java.lang.String[] params)` Funkcia, ktorá nastaví parametre.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### imgDirDef

    private final java.lang.String imgDirDef

  default hodnota relativnej cesty k adresaru, kde sa ulozia obrazky

  See Also:
    Constant Field Values

### cssFileName

    private final java.lang.String cssFileName

  nazov CSS suboru

  See Also:
    Constant Field Values

### cssDirDef

    private final java.lang.String cssDirDef

  default hodnota relativnej cesty k adresaru, kde sa ulozia CSS

  See Also:
    Constant Field Values

### formatPreservingLevelDef

    private final int formatPreservingLevelDef

  default hodnota urovne zachovania formatovania

  See Also:
    Constant Field Values

### preserveImagesDef

    private final boolean preserveImagesDef

  default hodnota ci sa maju prenasat obrazky

  See Also:
    Constant Field Values

### jpegQualityDef

    private final float jpegQualityDef

  default hodnota kvality jpeg kompresie pouzitej na obrazkoch

  See Also:
    Constant Field Values

### useHHeuristicDef

    private final boolean useHHeuristicDef

  default hodnota ci sa pouzije heuristika na rozoznavanie nadpisov

  See Also:
    Constant Field Values

### heading1StyleNameDef

    private final java.lang.String heading1StyleNameDef

  default nazov stylu pre nadpis úrovne 1

  See Also:
    Constant Field Values

### heading2StyleNameDef

    private final java.lang.String heading2StyleNameDef

  default nazov stylu pre nadpis úrovne 2

  See Also:
    Constant Field Values

### heading3StyleNameDef

    private final java.lang.String heading3StyleNameDef

  default nazov stylu pre nadpis úrovne 3

  See Also:
    Constant Field Values

### htmlTagForHeadingDef

    private final java.lang.String htmlTagForHeadingDef

  default HTML tag pre nadpis

  See Also:
    Constant Field Values

### preserveFootnotesDef

    private final boolean preserveFootnotesDef

  default hodnota ci sa maju prenasat footnotes

  See Also:
    Constant Field Values

### preserveEndnotesDef

    private final boolean preserveEndnotesDef

  default hodnota ci sa maju prenasat endnotes

  See Also:
    Constant Field Values

### cssConnectionTypeDef

    private final int cssConnectionTypeDef

  default hodnota typ prepojenia na CSS

  See Also:
    Constant Field Values

### cssBDef

    private final java.lang.String cssBDef

  default hodnota CSS trieda pre bold

  See Also:
    Constant Field Values

### cssIDef

    private final java.lang.String cssIDef

  default hodnota CSS trieda pre italic

  See Also:
    Constant Field Values

### cssUDef

    private final java.lang.String cssUDef

  default hodnota CSS trieda pre underline

  See Also:
    Constant Field Values

### cssSDef

    private final java.lang.String cssSDef

  default hodnota CSS trieda pre strike

  See Also:
    Constant Field Values

### cssUIDef

    private final java.lang.String cssUIDef

  default hodnota CSS trieda pre superscript

  See Also:
    Constant Field Values

### cssLIDef

    private final java.lang.String cssLIDef

  default hodnota CSS trieda pre subscript

  See Also:
    Constant Field Values

### docxSource

    public java.io.File docxSource

  input súbor (DOCX súbor na skonvertovanie)

### xhtmlDest

    public java.io.File xhtmlDest

  output súbor (HTML súbor do ktorého sa uloží výstup)

### imgDir

    public java.lang.String imgDir

  relativna cesta k adresaru, kde sa ulozia obrazky

### cssDir

    public java.lang.String cssDir

  relativna cesta k adresaru, kde sa ulozia CSS

### formatPreservingLevel

    public int formatPreservingLevel

  uroven zachovania formatovania (od 0 do 2)

### preserveImages

    public boolean preserveImages

  urcuje, ci sa maju prenasat obrazky

### jpegQuality

    public float jpegQuality

  kvalita jpeg kompresie pouzitej na obrazkoch

### useHHeuristic

    public boolean useHHeuristic

  urcuje, ci sa pouzije heuristika na rozoznavanie nadpisov

### heading1StyleName

    public java.lang.String heading1StyleName

  nazov stylu pre nadpis úrovne 1

### heading2StyleName

    public java.lang.String heading2StyleName

  nazov stylu pre nadpis úrovne 2

### heading3StyleName

    public java.lang.String heading3StyleName

  nazov stylu pre nadpis úrovne 3

### htmlTagForHeading

    public java.lang.String htmlTagForHeading

  HTML tag pre nadpis

### preserveFootnotes

    public boolean preserveFootnotes

  urcuje, ci sa maju prenasat footnotes

### preserveEndnotes

    public boolean preserveEndnotes

  urcuje, ci sa maju prenasat endnotes

### cssConnectionType

    public int cssConnectionType

  typ prepojenia na CSS

### cssSource

    public java.io.File cssSource

  CSS input subor

### cssB

    public java.lang.String cssB

  CSS trieda pre bold

### cssI

    public java.lang.String cssI

  CSS trieda pre italic

### cssU

    public java.lang.String cssU

  CSS trieda pre underline

### cssS

    public java.lang.String cssS

  CSS trieda pre strike

### cssUI

    public java.lang.String cssUI

  CSS trieda pre superscript

### cssLI

    public java.lang.String cssLI

  CSS trieda pre subscript

### isBackup

    private boolean isBackup

  parameter určuje, či už bol vykonaný backup

### _docxSource

    private java.io.File _docxSource

  záloha input súbor (DOCX súbor na skonvertovanie)

### _xhtmlDest

    private java.io.File _xhtmlDest

  záloha output súbor (HTML súbor do ktorého sa uloží výstup)

### _imgDir

    private java.lang.String _imgDir

  záloha relativna cesta k adresaru, kde sa ulozia obrazky

### _cssDir

    private java.lang.String _cssDir

  záloha relativna cesta k adresaru, kde sa ulozia CSS

### _formatPreservingLevel

    private int _formatPreservingLevel

  záloha uroven zachovania formatovania (od 0 do 2)

### _preserveImages

    private boolean _preserveImages

  záloha urcuje, ci sa maju prenasat obrazky

### _jpegQuality

    private float _jpegQuality

  záloha kvalita jpeg kompresie pouzitej na obrazkoch

### _useHHeuristic

    private boolean _useHHeuristic

  záloha urcuje, ci sa pouzije heuristika na rozoznavanie nadpisov

### _heading1StyleName

    private java.lang.String _heading1StyleName

  záloha nazov stylu pre nadpis úrovne 1

### _heading2StyleName

    private java.lang.String _heading2StyleName

  záloha nazov stylu pre nadpis úrovne 2

### _heading3StyleName

    private java.lang.String _heading3StyleName

  záloha nazov stylu pre nadpis úrovne 3

### _htmlTagForHeading

    private java.lang.String _htmlTagForHeading

  záloha HTML tag pre nadpis

### _preserveFootnotes

    private boolean _preserveFootnotes

  záloha urcuje, ci sa maju prenasat footnotes

### _preserveEndnotes

    private boolean _preserveEndnotes

  záloha urcuje, ci sa maju prenasat endnotes

### _cssConnectionType

    public int _cssConnectionType

  záloha typ prepojenia na CSS

### _cssSource

    public java.io.File _cssSource

  záloha CSS input subor

### _cssB

    public java.lang.String _cssB

  záloha CSS trieda pre bold

### _cssI

    public java.lang.String _cssI

  záloha CSS trieda pre italic

### _cssU

    public java.lang.String _cssU

  záloha CSS trieda pre underline

### _cssS

    public java.lang.String _cssS

  záloha CSS trieda pre strike

### _cssUI

    public java.lang.String _cssUI

  záloha CSS trieda pre superscript

### _cssLI

    public java.lang.String _cssLI

  záloha CSS trieda pre subscript

### tmpDir

    public java.io.File tmpDir

  docasny pracovny adresar

Constructor Detail

### OOXMLparams

    public OOXMLparams()

  Konštruktor

Method Detail

### backup

    public void backup()

  Funkcia zazálohuje všetky premenné.

### restore

    public void restore()

  Funkcia obnoví všetky premenné.

### setParam

    private boolean setParam(java.lang.String key,
                             java.lang.String value)

### setParams

    public boolean setParams(java.lang.String[] params)

  Funkcia, ktorá nastaví parametre.

  Parameters:
    `params` - parametre zo vstupu
  Returns:
    true ak nenastala chyba, false inak

### setParams

    public boolean setParams(java.util.LinkedHashMap<java.lang.String,java.lang.String> params)

  Funkcia, ktorá nastaví parametre.

  Parameters:
    `params` - parametre v LinkedHashMap
  Returns:
    true ak nenastala chyba, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD